%define module_name	thinkpad
%define module_version	4.8
%define module_release	alt1

#### MODULE SOURCES ####
Name: kernel-source-%module_name-%module_version
Version: %module_version
Release: %module_release
Summary: IBM ThinkPad SMAPI BIOS drivers - module sources
License: GPL
Group: Development/Kernel
Url: http://tpctl.sourceforge.net
BuildArch: noarch

Source: http://prdownloads.sourceforge.net/tpctl/%{module_name}_%version.tar.bz2
Patch: thinkpad-4.8-alt-makefile.patch.gz

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

%description
Drivers for IBM System Management Application Program Interface
(SMAPI) BIOS found in some IBM ThinkPad laptop computers.

%prep
%setup -c -n %name
%__mv %module_name-%module_version thinkpad
%patch -p0

%install
%__mkdir_p %buildroot%_usrsrc/kernel/sources/
pushd ..
%__tar -c kernel-source-%module_name-%module_version | %__bzip2 -c > \
    %buildroot%_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2
popd

%files
%attr(644,root,root) %_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2

%changelog
* Sat Dec 06 2003 Grigory Batalov <bga@altlinux.ru> 4.8-alt1
- Initial release
